Bug 829101 - rpm names conflict with rpms already in fedora/epel
rpm names conflict with rpms already in fedora/epel
Status: CLOSED NOTABUG
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: build (Show other bugs)
2.0
All All
high Severity high
: ---
: ---
Assigned To: Amar Tumballi
Sudhir D
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-06-05 21:35 EDT by Kaleb KEITHLEY
Modified: 2013-12-18 19:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-24 21:10:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kaleb KEITHLEY 2012-06-05 21:35:26 EDT
Description of problem: Red Hat customers who enable the RHS Channel and EPEL have two conflicting sources of glusterfs.


Version-Release number of selected component (if applicable): All


How reproducible: Enable both RHS Channel and EPEL and do a YUM update or use the GUI to update the software.


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info: RHS rpm packages should use a name other than glusterfs*, e.g. rhs*
Comment 3 Kaleb KEITHLEY 2012-06-06 00:10:02 EDT
RHS rpm packages should use a name other than glusterfs*, e.g. rhs-glusterfs*
Comment 4 Amar Tumballi 2012-06-21 20:23:25 EDT
Kaleb/Vijay/Avati,

Do we need a RPM spec change now (well, we are not clear of a better name as of now)? Sayan, how critical is it for release? how does this works for other packages in RHEL / Fedora model?
Comment 5 Kaleb KEITHLEY 2012-06-22 07:55:47 EDT
There have been a (small) number of complaints from the Fedora/EPEL community WRT the overlap.

I suggest that the RHS version of the glusterfs packages be renamed to rhs-glusterfs* to disambiguate RHS RPMs from community gluster RPMs.

The sooner this happens, the better, IMO.

And yes, it requires that the RPM spec be renamed, e.g. to rhs-glusterfs.spec(.in).

You've also got different versioning. The RHS RPM should, IMO, be version 2.0 for the upcoming release. This is another reason for changing the name, so as to minimize confusion. We do not want glusterfs-3.3.0 in Fedora/EPEL repos and glusterfs-2.0.0 in RHEL Storage Channel. 

I suspect that there will still be confusion, but rhs-glusterfs-2.0.0-1.el6.rpm in the RHEL Storage channel and glusterfs-3.2.7-1.el6.rpm in Fedora/EPEL will be less confusing than what we have today
Comment 6 Vidya Sakar 2012-06-24 21:10:59 EDT
Package rename not required, closing the bug.
Comment 7 Kaleb KEITHLEY 2012-06-29 11:58:48 EDT
RPM names in RHS 2.0 are glusterfs*-3.3.0-xx.el6rhs.x86_64.
                                             ^^^^^^

A perfectly acceptable solution, if I'm not mistaken. Why nobody mentioned it sooner is a mystery.

Note You need to log in before you can comment on or make changes to this bug.